{ pkgs, ... }:

final: prev: with pkgs.haskell.lib; {
  Only = final.callPackage (./pkgs/Only.nix) { };

  attoparsec-iso8601 = final.callPackage (./pkgs/attoparsec-iso8601.nix) { };

  bin = final.callPackage (./pkgs/bin.nix) { };

  binary-orphans = final.callPackage (./pkgs/binary-orphans.nix) { };

  brick = final.callPackage (./pkgs/brick.nix) { };

  bytes = final.callPackage (./pkgs/bytes.nix) { };

  cassava = final.callPackage (./pkgs/cassava.nix) { };

  composite-base = final.callPackage (./pkgs/composite-base.nix) { };

  constraints-extras = final.callPackage (./pkgs/constraints-extras.nix) { };

  cpphs = final.callPackage (./pkgs/cpphs.nix) { };

  dependent-map = final.callPackage (./pkgs/dependent-map.nix) { };

  dependent-sum = final.callPackage (./pkgs/dependent-sum.nix) { };

  dependent-sum-template = final.callPackage (./pkgs/dependent-sum-template.nix) { };

  deriving-compat = final.callPackage (./pkgs/deriving-compat.nix) { };

  extensible-effects = final.callPackage (./pkgs/extensible-effects.nix) { };

  file-embed = final.callPackage (./pkgs/file-embed.nix) { };

  formatting = final.callPackage (./pkgs/formatting.nix) { };

  haskell-src = final.callPackage (./pkgs/haskell-src.nix) { };

  hspec-wai = final.callPackage (./pkgs/hspec-wai.nix) { };

  http-api-data = final.callPackage (./pkgs/http-api-data.nix) { };

  http-media = final.callPackage (./pkgs/http-media.nix) { };

  hxt = final.callPackage (./pkgs/hxt.nix) { };

  hxt-charproperties = final.callPackage (./pkgs/hxt-charproperties.nix) { };

  hxt-regex-xmlschema = final.callPackage (./pkgs/hxt-regex-xmlschema.nix) { };

  hxt-unicode = final.callPackage (./pkgs/hxt-unicode.nix) { };

  indexed-profunctors = final.callPackage (./pkgs/indexed-profunctors.nix) { };

  linear = final.callPackage (./pkgs/linear.nix) { };

  monoidal-containers = final.callPackage (./pkgs/monoidal-containers.nix) { };

  mtl-compat = final.callPackage (./pkgs/mtl-compat.nix) { };

  newtype = final.callPackage (./pkgs/newtype.nix) { };

  optics = final.callPackage (./pkgs/optics.nix) { };

  optics-core = final.callPackage (./pkgs/optics-core.nix) { };

  optics-extra = final.callPackage (./pkgs/optics-extra.nix) { };

  optics-th = final.callPackage (./pkgs/optics-th.nix) { };

  polyparse = final.callPackage (./pkgs/polyparse.nix) { };

  polysemy = final.callPackage (./pkgs/polysemy.nix) { };

  protolude = final.callPackage (./pkgs/protolude.nix) { };

  quiet = final.callPackage (./pkgs/quiet.nix) { };

  recursion-schemes = final.callPackage (./pkgs/recursion-schemes.nix) { };

  regex-compat = final.callPackage (./pkgs/regex-compat.nix) { };

  rio = final.callPackage (./pkgs/rio.nix) { };

  sdl2 = final.callPackage (./pkgs/sdl2.nix) { };

  selda = final.callPackage (./pkgs/selda.nix) { };

  servant = final.callPackage (./pkgs/servant.nix) { };

  servant-server = final.callPackage (./pkgs/servant-server.nix) { };

  should-not-typecheck = final.callPackage (./pkgs/should-not-typecheck.nix) { };

  sop-core = final.callPackage (./pkgs/sop-core.nix) { };

  string-conversions = final.callPackage (./pkgs/string-conversions.nix) { };

  th-extras = final.callPackage (./pkgs/th-extras.nix) { };

  type-errors = final.callPackage (./pkgs/type-errors.nix) { };

  unagi-chan = final.callPackage (./pkgs/unagi-chan.nix) { };

  vinyl = final.callPackage (./pkgs/vinyl.nix) { };

  vty = final.callPackage (./pkgs/vty.nix) { };

  wai-app-static = final.callPackage (./pkgs/wai-app-static.nix) { };

  wai-extra = final.callPackage (./pkgs/wai-extra.nix) { };

  xmlgen = final.callPackage (./pkgs/xmlgen.nix) { };

}
