{ mkDerivation, HUnit, base, comonad, containers, data-fix
, fetchgit, free, lib, template-haskell, th-abstraction
, transformers
}:
mkDerivation {
  pname = "recursion-schemes";
  version = "5.2.2.4";
  src = fetchgit {
    url = "https://github.com/recursion-schemes/recursion-schemes";
    sha256 = "06shyihy6cpblv3pf18xgdfjgxqw2y2awvpcy33r76fr642gdvgn";
    rev = "cc2e88c3400a6548e975830c9addb12ab087545f";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base comonad containers data-fix free template-haskell
    th-abstraction transformers
  ];
  testHaskellDepends = [ base HUnit template-haskell transformers ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://github.com/ekmett/recursion-schemes/";
  description = "Representing common recursion patterns as higher-order functions";
  license = lib.licenses.bsd2;
  broken = false;
}