{ mkDerivation, base, containers, fetchgit, lib, syb
, template-haskell, th-abstraction
}:
mkDerivation {
  pname = "th-extras";
  version = "0.0.0.6";
  src = fetchgit {
    url = "https://github.com/erikd/th-extras";
    sha256 = "14jzzf2ikqhw7164rsfc0r1h4zw4nsmzsi79a29my19dzbcd9xd5";
    rev = "b0f1907d6aa887b77339d85ba8aed25846f7ea13";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base containers syb template-haskell th-abstraction
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/mokus0/th-extras";
  description = "A grab bag of functions for use with Template Haskell";
  license = lib.licenses.publicDomain;
  broken = false;
}